Subject: Re: bug#20904: If global-set-key is used to rebind <tab>, searching for a TAB character inserts a TAB

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 Jun 2015 23:32:35 +0300

> From: Fran Litterio <[email-masked]>
> Date: Fri, 26 Jun 2015 17:00:34 +0000 (UTC)
> 
> I <flitterio <at> gmail.com> wrote:
> 
> >   2. Evaluate this form:
> > 
> >      (global-set-key (kbd "<tab>") 'tab-to-tab-stop)
> 
> I have found that changing the above form to:
> 
>   (global-set-key (kbd "TAB") 'tab-to-tab-stop)
> 
> avoids the problem (i.e., it allows the global binding of TAB to be
> changed to tab-to-tab-stop and allows searching for a TAB character).

That's exactly what you should have done.  <tab> is a function key,
not the character Ctrl-I.